Name:		ps3mediaserver
Version:	1.72.0
Release:	%mkrel 2
Summary:	DLNA compliant Upnp Media Server for the PS3
Group:		Video/Utilities
License:	Proprietary
URL:		http://code.google.com/p/ps3mediaserver/
Source0:	http://ps3mediaserver.googlecode.com/files/pms-generic-linux-unix-%{version}.tgz
Source1:	%{name}.png
BuildRequires:	imagemagick
Requires:	jre
Requires:	mencoder
Requires:	ffmpeg
Requires:	mplayer
Requires:	libmediainfo
BuildArch:	noarch

%description
PS3 Media Server is a DLNA compliant UPnP Media Server for the PS3,
written in Java, with the purpose of streaming or transcoding any kind
of media files, with minimum configuration. It's backed up with the
powerful Mplayer/FFmpeg packages.

%prep
%setup -q -n pms-%{version}

%build
echo "Hi, i'm a fake build"

%install
%__install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -af * %{buildroot}%{_datadir}/%{name}

%__mkdir -p %{buildroot}%{_bindir}
%__cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}
exec ./PMS.sh
EOF
%__chmod +x %{buildroot}%{_bindir}/%{name}

#icons
%__mkdir_p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
%__install -m 0644 %{SOURCE1} %{buildroot}%{_liconsdir}/%{name}.png
%__install -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%{_miconsdir}/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
%__install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
convert %{buildroot}%{_iconsdir}/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png

# menu-entry
%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=PS3 Media Server
Comment=Media Server for the PS3
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;Player;
EOF

%files
#doc CHANGELOG
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Oct 31 2013 tmb <tmb> 1.72.0-2.mga4
+ Revision: 548474
- Mageia 4 rebuild

* Sat Feb 16 2013 dlucio <dlucio> 1.72.0-1.mga3.nonfree
+ Revision: 398744
- requires
- 1.72

* Tue Jan 22 2013 fwang <fwang> 1.70.0-2.mga3.nonfree
+ Revision: 390981
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fedya <fedya>
    - rpm4 junk removed

* Wed Sep 12 2012 fedya <fedya> 1.70.0-1.mga3
+ Revision: 292700
- imported package ps3mediaserver

